[Pkg-utopia-maintainers] Bug#574697: dbus-x11: dbus segfaults when closing ppp connections using network-manager

alberto maurizi moim at augh.net
Sat Mar 20 10:10:14 UTC 2010

Package: dbus-x11
Version: 1.2.22-1
Severity: grave
Justification: renders package unusable

After last upgrade in sid, dbus segaults when interacting with
network-manager. An excerpt form my syslog is attached.

Note that after the segfault I'm unable to run any application relying
on hal (not even restarting dbus and then hal works).  I'm sure this
started few days ago just after un upgrade that involved dbus while it
was very stable before.

Mar 20 10:44:34 krsna pppd[2714]: Terminating on signal 15
Mar 20 10:44:34 krsna pppd[2714]: Connect time 0.4 minutes.
Mar 20 10:44:34 krsna pppd[2714]: Sent 9504 bytes, received 19166 bytes.
Mar 20 10:44:34 krsna modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
Mar 20 10:44:34 krsna nm-dispatcher.action: Could not get the system bus.  Make sure the message bus daemon is running!  Message: Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused
Mar 20 10:44:34 krsna kernel: [  150.264493] dbus-daemon[1502]: segfault at 119 ip 00007fa91d610411 sp 00007fff2a43f5f0 error 4 in libc-2.10.2.so[7fa91d5cb000+14a000]
Mar 20 10:44:34 krsna avahi-daemon[1795]: Disconnected from D-Bus, exiting.
Mar 20 10:44:34 krsna avahi-daemon[1795]: Got SIGQUIT, quitting.
Mar 20 10:44:34 krsna NetworkManager: <info>  disconnected by the system bus.
Mar 20 10:44:34 krsna NetworkManager: no sender
Mar 20 10:44:34 krsna console-kit-daemon[2031]: WARNING: no sender#012
Mar 20 10:44:34 krsna pppd[2714]: Connection terminated.
Mar 20 10:44:35 krsna pppd[2714]: Exit.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages dbus-x11 depends on:
ii  dbus                          1.2.22-1   simple interprocess messaging syst
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libx11-6                      2:1.3.3-2  X11 client-side library

dbus-x11 recommends no packages.

dbus-x11 suggests no packages.

-- no debconf information

More information about the Pkg-utopia-maintainers mailing list